Skip to main content
Catalog endpoints use your API key to determine which catalog to return.
x-api-key: <api_key>

List categories

MethodEndpointAuth
GET/categoriesx-api-key
Request:
curl https://dev-api.keystonecommerce.in/api/v1/categories \
  -H "x-api-key: <api_key>"
Response:
{
  "statusCode": 200,
  "message": "Success",
  "data": [
    {
      "id": "cat_cat01",
      "name": "Vehicle Electronics",
      "slug": "vehicle-electronics",
      "parentId": null,
      "children": [
        {
          "id": "cat_sub0101",
          "name": "Stereos & Head Units",
          "slug": "sub0101-stereos-head-units",
          "parentId": "cat_cat01"
        },
        {
          "id": "cat_sub0102",
          "name": "Cameras (Dash & Reverse)",
          "slug": "sub0102-cameras-dash-reverse",
          "parentId": "cat_cat01"
        }
      ]
    }
  ]
}

List products

MethodEndpointAuth
GET/productsx-api-key
Query params:
ParamTypeRequiredNotes
pagenumberNoDefault 1
limitnumberNoDefault 20, max 100
searchstringNoMatches product name or brand
categoryIdstringNoIncludes products in descendant categories
brandstringNoCase-insensitive brand filter
sortBycreatedAt, updatedAt, name, brand, skuNoDefault createdAt
sortOrderasc, descNoDefault desc
Request:
curl "https://dev-api.keystonecommerce.in/api/v1/products?page=1&limit=2&sortBy=name&sortOrder=asc" \
  -H "x-api-key: <api_key>"
Response:
{
  "statusCode": 200,
  "message": "Success",
  "data": [
    {
      "id": "prod_key064",
      "name": "10W IPX5 Portable Bluetooth Speaker - 12-Hour Battery",
      "slug": "10w-ipx5-portable-bluetooth-speaker-12-hour-battery-key064",
      "brand": "keystone",
      "sku": "KEY064",
      "categoryId": "cat_sub0802",
      "sellingPrice": "1019",
      "mrp": "1199",
      "stock": 100,
      "images": [
        "https://storage.googleapis.com/keystone-media-dev/products/prod_key064/01-screenshot_2026-05-04_at_6.45.42_pm.png"
      ],
      "isActive": true
    }
  ],
  "meta": {
    "total": 58,
    "page": 1,
    "limit": 2,
    "totalPages": 29
  }
}

Retrieve product

MethodEndpointAuth
GET/products/{slug}x-api-key
Request:
curl https://dev-api.keystonecommerce.in/api/v1/products/10w-ipx5-portable-bluetooth-speaker-12-hour-battery-key064 \
  -H "x-api-key: <api_key>"
Response:
{
  "statusCode": 200,
  "message": "Success",
  "data": {
    "id": "prod_key064",
    "name": "10W IPX5 Portable Bluetooth Speaker - 12-Hour Battery",
    "slug": "10w-ipx5-portable-bluetooth-speaker-12-hour-battery-key064",
    "brand": "keystone",
    "sku": "KEY064",
    "categoryId": "cat_sub0802",
    "sellingPrice": "1019",
    "mrp": "1199",
    "stock": 100,
    "images": [
      "https://storage.googleapis.com/keystone-media-dev/products/prod_key064/01-screenshot_2026-05-04_at_6.45.42_pm.png"
    ],
    "isActive": true
  }
}

Search catalog

MethodEndpointAuth
GET/searchx-api-key
Query params:
ParamTypeRequiredNotes
qstringYesSearch term
typeproducts, categories, allNoDefault all
limitnumberNoDefault 20, max 50
sourcestringNoOptional analytics source, for example web, app, or docs
Request:
curl "https://dev-api.keystonecommerce.in/api/v1/search?q=stereo&type=all&limit=2&source=web" \
  -H "x-api-key: <api_key>"
Response:
{
  "statusCode": 200,
  "message": "Success",
  "data": {
    "products": [
      {
        "id": "prod_key001",
        "slug": "7-inch-android-car-stereo-with-bluetooth-key001",
        "name": "7-Inch Android Car Stereo with Bluetooth",
        "brand": "keystone",
        "sellingPrice": "3306.00",
        "images": [
          "https://storage.googleapis.com/keystone-media-dev/products/prod_key001/01-screenshot_2026-04-27_at_3.35.39_pm.png"
        ],
        "categoryId": "cat_sub0101",
        "score": 1
      }
    ],
    "categories": [
      {
        "id": "cat_sub0101",
        "slug": "sub0101-stereos-head-units",
        "name": "Stereos & Head Units",
        "image": null,
        "score": 0.85714287
      }
    ],
    "totalResults": 2,
    "topScore": 1
  }
}